#   Copyright 2007,2008,2009,2011 Everyblock LLC, OpenPlans, and contributors
#
#   This file is part of ebpub
#
#   ebpub is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   ebpub is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with ebpub.  If not, see <http://www.gnu.org/licenses/>.
#

numbered_streets = {
    "1ST": ["FIRST", "1"],
    "2ND": ["SECOND", "2D", "2"],
    "3RD": ["THIRD", "3D", "3"],
    "4TH": ["FOURTH", "4"],
    "5TH": ["FIFTH", "5"],
    "6TH": ["SIXTH", "6"],
    "7TH": ["SEVENTH", "7"],
    "8TH": ["EIGHTH", "8"],
    "9TH": ["NINTH", "9"],
    "10TH": ["TENTH", "10"],
    "11TH": ["ELEVENTH", "11"],
    "12TH": ["TWELFTH", "TWELVTH", "12"],
    "13TH": ["THIRTEENTH", "13"],
    "14TH": ["FOURTEENTH", "14"],
    "15TH": ["FIFTEENTH", "15"],
    "16TH": ["SIXTEENTH", "16"],
    "17TH": ["SEVENTEENTH", "17"],
    "18TH": ["EIGHTEENTH", "18"],
    "19TH": ["NINTEENTH", "19"],
    "20TH": ["TWENTIETH", "20"],
    "21ST": "21",
    "22ND": "22",
    "23RD": ["23D", "23"],
    "24TH": "24",
    "25TH": "25",
    "26TH": "26",
    "27TH": "27",
    "28TH": "28",
    "29TH": "29",
    "30TH": ["THIRTIETH", "30"],
    "31ST": "31",
    "32ND": "32",
    "33RD": ["33D", "33"],
    "34TH": "34",
    "35TH": "35",
    "36TH": "36",
    "37TH": "37",
    "38TH": "38",
    "39TH": "39",
    "40TH": ["FORTIETH", "40"],
    "41ST": "41",
    "42ND": "42",
    "43RD": ["43D", "43"],
    "44TH": "44",
    "45TH": "45",
    "46TH": "46",
    "47TH": "47",
    "48TH": "48",
    "49TH": "49",
    "50TH": ["FIFTIETH", "50"],
    "51ST": "51",
    "52ND": "52",
    "53RD": ["53D", "53"],
    "54TH": "54",
    "55TH": "55",
    "56TH": "56",
    "57TH": "57",
    "58TH": "58",
    "59TH": "59",
    "60TH": ["SIXTYETH", "SIXTIETH", "60"],
    "61ST": "61",
    "62ND": "62",
    "63RD": ["63D", "63"],
    "64TH": "64",
    "65TH": "65",
    "66TH": "66",
    "67TH": "67",
    "68TH": "68",
    "69TH": "69",
    "70TH": ["SEVENTYITH", "SEVENTIETH", "70"],
    "71ST": "71",
    "72ND": "72",
    "73RD": ["73D", "73"],
    "74TH": "74",
    "75TH": "75",
    "76TH": "76",
    "77TH": "77",
    "78TH": "78",
    "79TH": "79",
    "80TH": ["EIGHTYITH", "EIGHTIETH", "80"],
    "81ST": "81",
    "82ND": "82",
    "83RD": ["83D", "83"],
    "84TH": "84",
    "85TH": "85",
    "86TH": "86",
    "87TH": "87",
    "88TH": "88",
    "89TH": "89",
    "90TH": ["NINETYITH", "NINETIETH", "90"],
    "91ST": "91",
    "92ND": "92",
    "93RD": ["93D", "93"],
    "94TH": "94",
    "95TH": "95",
    "96TH": "96",
    "97TH": "97",
    "98TH": "98",
    "99TH": "99",
    "100TH": "100",
    "101ST": "101",
    "102ND": "102",
    "103RD": ["103D", "103"],
    "104TH": "104",
    "105TH": "105",
    "106TH": "106",
    "107TH": "107",
    "108TH": "108",
    "109TH": "109",
    "110TH": "110",
    "111TH": "111",
    "112TH": "112",
    "113TH": "113",
    "114TH": "114",
    "115TH": "115",
    "116TH": "116",
    "117TH": "117",
    "118TH": "118",
    "119TH": "119",
    "120TH": "120",
    "121ST": "121",
    "122ND": "122",
    "123RD": ["123D", "123"],
    "124TH": "124",
    "125TH": "125",
    "126TH": "126",
    "127TH": "127",
    "128TH": "128",
    "129TH": "129",
    "130TH": "130",
    "131ST": "131",
    "132ND": "132",
    "133RD": ["133D", "133"],
    "134TH": "134",
    "135TH": "135",
    "136TH": "136",
    "137TH": "137",
    "138TH": "138",
    "139TH": "139",
    "140TH": "140",
    "141ST": "141",
    "142ND": "142",
    "143RD": ["143D", "143"],
    "144TH": "144",
    "145TH": "145",
    "146TH": "146",
    "147TH": "147",
    "148TH": "148",
    "149TH": "149",
    "150TH": "150",
    "151ST": "151",
    "152ND": "152",
    "153RD": ["153D", "153"],
    "154TH": "154",
    "155TH": "155",
    "156TH": "156",
    "157TH": "157",
    "158TH": "158",
    "159TH": "159",
    "160TH": "160",
    "161ST": "161",
    "162ND": "162",
    "163RD": ["163D", "163"],
    "164TH": "164",
    "165TH": "165",
    "166TH": "166",
    "167TH": "167",
    "168TH": "168",
    "169TH": "169",
    "170TH": "170",
    "171ST": "171",
    "172ND": "172",
    "173RD": ["173D", "173"],
    "174TH": "174",
    "175TH": "175",
    "176TH": "176",
    "177TH": "177",
    "178TH": "178",
    "179TH": "179",
    "180TH": "180",
    "181ST": "181",
    "182ND": "182",
    "183RD": ["183D", "183"],
    "184TH": "184",
    "185TH": "185",
    "186TH": "186",
    "187TH": "187",
    "188TH": "188",
    "189TH": "189",
    "190TH": "190",
    "191ST": "191",
    "192ND": "192",
    "193RD": ["193D", "193"],
    "194TH": "194",
    "195TH": "195",
    "196TH": "196",
    "197TH": "197",
    "198TH": "198",
    "199TH": "199",
    "200TH": "200",
    "201ST": "201",
    "202ND": "202",
    "203RD": ["203D", "203"],
    "204TH": "204",
    "205TH": "205",
    "206TH": "206",
    "207TH": "207",
    "208TH": "208",
    "209TH": "209",
    "210TH": "210",
    "211TH": "211",
    "212TH": "212",
    "213RD": "213",
    "214TH": "214",
    "215TH": "215",
    "216TH": "216",
    "217TH": "217",
    "218TH": "218",
    "219TH": "219",
    "220TH": "220",
    "221ST": "221",
    "222ND": "222",
    "223RD": ["223D", "223"],
    "224TH": "224",
    "225TH": "225",
    "226TH": "226",
    "227TH": "227",
    "228TH": "228",
    "229TH": "229",
    "230TH": "230",
    "231ST": "231",
    "232ND": "232",
    "233RD": ["233D", "233"],
    "234TH": "234",
    "235TH": "235",
    "236TH": "236",
    "237TH": "237",
    "238TH": "238",
    "239TH": "239",
    "240TH": "240",
    "241ST": "241",
    "242ND": "242",
    "243RD": ["243D", "243"],
    "244TH": "244",
    "245TH": "245",
    "246TH": "246",
    "247TH": "247",
    "248TH": "248",
    "249TH": "249",
    "250TH": "250",
    "251ST": "251",
    "252ND": "252",
    "253RD": ["253D", "253"],
    "254TH": "254",
    "255TH": "255",
    "256TH": "256",
    "257TH": "257",
    "258TH": "258",
    "259TH": "259",
    "260TH": "260",
    "261ST": "261",
    "262ND": "262",
    "263RD": ["263D", "263"],
    "264TH": "264",
    "265TH": "265",
    "266TH": "266",
    "267TH": "267",
    "268TH": "268",
    "269TH": "269",
    "270TH": "270",
    "271ST": "271",
    "272ND": "272",
    "273RD": ["273D", "273"],
    "274TH": "274",
    "275TH": "275",
    "276TH": "276",
    "277TH": "277",
    "278TH": "278",
    "279TH": "279",
    "280TH": "280",
    "281ST": "281",
    "282ND": "282",
    "283RD": ["283D", "283"],
    "284TH": "284",
    "285TH": "285",
    "286TH": "286",
    "287TH": "287",
    "288TH": "288",
    "289TH": "289",
    "290TH": "290",
    "291ST": "291",
    "292ND": "292",
    "293RD": ["293D", "293"],
    "294TH": "294",
    "295TH": "295",
    "296TH": "296",
    "297TH": "297",
    "298TH": "298",
    "299TH": "299",
}
