#   Copyright 2007,2008,2009,2011 Everyblock LLC, OpenPlans, and contributors
#
#   This file is part of ebpub
#
#   ebpub is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   ebpub is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with ebpub.  If not, see <http://www.gnu.org/licenses/>.
#

suffixes = {
 'ALY': ['ALLEE', 'ALLY', 'ALLEY', 'ALY'],
 'ANX': ['ANEX', 'ANNX', 'ANX', 'ANNEX'],
 'ARC': ['ARC', 'ARCADE'],
 'AVE': ['AVEN', 'AVNUE', 'AVENU', 'AVN', 'AV', 'AVE', 'AVENUE'],
 'BCH': ['BCH', 'BEACH'],
 'BG': ['BURG'],
 'BGS': ['BURGS'],
 'BLF': ['BLUF', 'BLF', 'BLUFF'],
 'BLFS': ['BLUFFS'],
 'BLVD': ['BLVD', 'BOULV', 'BOUL', 'BOULEVARD', 'BL'],
 'BND': ['BEND', 'BND'],
 'BR': ['BRNCH', 'BR', 'BRANCH'],
 'BRG': ['BRG', 'BRIDGE', 'BRDGE'],
 'BRK': ['BRK', 'BROOK'],
 'BRKS': ['BROOKS'],
 'BTM': ['BTM', 'BOTTM', 'BOT', 'BOTTOM'],
 'BYP': ['BYPS', 'BYPA', 'BYPAS', 'BYP', 'BYPASS'],
 'BYU': ['BAYOU', 'BAYOO'],
 'CIR': ['CIRC', 'CRCLE', 'CIR', 'CIRCL', 'CIRCLE', 'CRCL'],
 'CIRS': ['CIRCLES'],
 'CLB': ['CLUB', 'CLB'],
 'CLF': ['CLF', 'CLIFF'],
 'CLFS': ['CLIFFS', 'CLFS'],
 'CMN': ['COMMON'],
 'COR': ['CORNER', 'COR'],
 'CORS': ['CORNERS', 'CORS'],
 'CP': ['CP', 'CAMP', 'CMP'],
 'CPE': ['CAPE', 'CPE'],
 'CRES': ['CRESENT',
          'CRECENT',
          'CRSENT',
          'CRSNT',
          'CRES',
          'CRSCNT',
          'CRESCENT'],
 'CRK': ['CK', 'CR', 'CREEK', 'CRK'],
 'CRSE': ['COURSE', 'CRSE'],
 'CRST': ['CREST'],
 'CSWY': ['CSWY', 'CAUSWAY', 'CAUSEWAY'],
 'CT': ['COURT', 'CRT', 'CT'],
 'CTR': ['CNTER', 'CTR', 'CENTRE', 'CEN', 'CENT', 'CNTR', 'CENTR', 'CENTER'],
 'CTRS': ['CENTERS'],
 'CTS': ['COURTS', 'CTS'],
 'CURV': ['CURVE'],
 'CV': ['COVE', 'CV'],
 'CVS': ['COVES'],
 'CYN': ['CANYON', 'CANYN', 'CNYN', 'CYN'],
 'DL': ['DALE', 'DL'],
 'DM': ['DAM', 'DM'],
 'DR': ['DRIV', 'DR', 'DRIVE', 'DRV'],
 'DRS': ['DRIVES'],
 'DV': ['DV', 'DVD', 'DIV', 'DIVIDE'],
 'EST': ['EST', 'ESTATE'],
 'ESTS': ['ESTATES', 'ESTS'],
 'EXPY': ['EXPY', 'EXPR', 'EXPRESS', 'EXPW', 'EXP', 'EXPWY', 'EXPRESSWAY'],
 'EXT': ['EXTN', 'EXT', 'EXTNSN', 'EXTENSION'],
 'EXTS': ['EXTS', 'EXTENSIONS'],
 'FALL': ['FALL'],
 'FLD': ['FIELD', 'FLD'],
 'FLDS': ['FIELDS', 'FLDS'],
 'FLS': ['FLS', 'FALLS'],
 'FLT': ['FLAT', 'FLT'],
 'FLTS': ['FLATS', 'FLTS'],
 'FRD': ['FRD', 'FORD'],
 'FRDS': ['FORDS'],
 'FRG': ['FORGE', 'FRG', 'FORG'],
 'FRGS': ['FORGES'],
 'FRK': ['FORK', 'FRK'],
 'FRKS': ['FORKS', 'FRKS'],
 'FRST': ['FRST', 'FOREST', 'FORESTS'],
 'FRY': ['FERRY', 'FRY', 'FRRY'],
 'FT': ['FRT', 'FT', 'FORT'],
 'FWY': ['FREEWAY', 'FRWAY', 'FRWY', 'FREEWY', 'FWY'],
 'GDN': ['GARDN', 'GRDN', 'GARDEN', 'GDN', 'GRDEN'],
 'GDNS': ['GDNS', 'GRDNS', 'GARDENS'],
 'GLN': ['GLEN', 'GLN'],
 'GLNS': ['GLENS'],
 'GRN': ['GRN', 'GREEN'],
 'GRNS': ['GREENS'],
 'GRV': ['GROVE', 'GRV', 'GROV'],
 'GRVS': ['GROVES'],
 'GTWY': ['GTWAY', 'GATWAY', 'GTWY', 'GATEWAY', 'GATEWY'],
 'HBR': ['HARBOR', 'HARBR', 'HARB', 'HRBOR', 'HBR'],
 'HBRS': ['HARBORS'],
 'HL': ['HILL', 'HL'],
 'HLS': ['HLS', 'HILLS'],
 'HOLW': ['HOLW', 'HOLWS', 'HLLW', 'HOLLOWS', 'HOLLOW'],
 'HTS': ['HTS', 'HEIGHT', 'HGTS', 'HT', 'HEIGHTS'],
 'HVN': ['HVN', 'HAVEN', 'HAVN'],
 'HWY': ['HIWY', 'HIGHWAY', 'HWY', 'HWAY', 'HIWAY', 'HIGHWY'],
 'INLT': ['INLT', 'INLET'],
 'IS': ['ISLAND', 'IS', 'ISLND'],
 'ISLE': ['ISLE', 'ISLES'],
 'ISS': ['ISS', 'ISLANDS', 'ISLNDS'],
 'JCT': ['JCT', 'JCTN', 'JUNCTION', 'JCTION', 'JUNCTN', 'JUNCTON'],
 'JCTS': ['JCTNS', 'JCTS', 'JUNCTIONS'],
 'KNL': ['KNL', 'KNOL', 'KNOLL'],
 'KNLS': ['KNOLLS', 'KNLS'],
 'KY': ['KY', 'KEY'],
 'KYS': ['KEYS', 'KYS'],
 'LAND': ['LAND'],
 'LCK': ['LOCK', 'LCK'],
 'LCKS': ['LOCKS', 'LCKS'],
 'LDG': ['LODGE', 'LDGE', 'LODG', 'LDG'],
 'LF': ['LF', 'LOAF'],
 'LGT': ['LIGHT', 'LGT'],
 'LGTS': ['LIGHTS'],
 'LK': ['LAKE', 'LK'],
 'LKS': ['LAKES', 'LKS'],
 'LN': ['LN', 'LANE', 'LANES', 'LA'],
 'LNDG': ['LNDNG', 'LNDG', 'LANDING'],
 'LOOP': ['LOOPS', 'LOOP'],
 'MALL': ['MALL'],
 'MDW': ['MEADOW', 'MDW'],
 'MDWS': ['MEDOWS', 'MEADOWS', 'MDWS'],
 'MEWS': ['MEWS'],
 'ML': ['ML', 'MILL'],
 'MLS': ['MLS', 'MILLS'],
 'MNR': ['MNR', 'MANOR'],
 'MNRS': ['MNRS', 'MANORS'],
 'MSN': ['MSN', 'MISSN', 'MISSION', 'MSSN'],
 'MT': ['MT', 'MOUNT', 'MNT'],
 'MTN': ['MOUNTAIN', 'MOUNTIN', 'MNTN', 'MNTAIN', 'MTN', 'MTIN'],
 'MTNS': ['MOUNTAINS', 'MNTNS'],
 'MTWY': ['MOTORWAY'],
 'NCK': ['NCK', 'NECK'],
 'OPAS': ['OVERPASS'],
 'ORCH': ['ORCHRD', 'ORCH', 'ORCHARD'],
 'OVAL': ['OVAL', 'OVL'],
 'PARK': ['PK', 'PARK', 'PARKS', 'PRK'],
 'PASS': ['PASS'],
 'PATH': ['PATH', 'PATHS'],
 'PIKE': ['PIKE', 'PIKES'],
 'PKWY': ['PKWAY', 'PKY', 'PARKWAYS', 'PKWY', 'PARKWY', 'PKWYS', 'PARKWAY'],
 'PL': ['PLACE', 'PL'],
 'PLN': ['PLAIN', 'PLN'],
 'PLNS': ['PLNS', 'PLAINS', 'PLAINES'],
 'PLZ': ['PLAZA', 'PLZ', 'PLZA'],
 'PNE': ['PINE'],
 'PNES': ['PINES', 'PNES'],
 'PR': ['PR', 'PRR', 'PRAIRIE', 'PRARIE'],
 'PRT': ['PRT', 'PORT'],
 'PRTS': ['PRTS', 'PORTS'],
 'PSGE': ['PASSAGE'],
 'PT': ['PT', 'POINT'],
 'PTS': ['POINTS', 'PTS'],
 'RADL': ['RADL', 'RAD', 'RADIEL', 'RADIAL'],
 'RAMP': ['RAMP'],
 'RD': ['RD', 'ROAD'],
 'RDG': ['RDG', 'RIDGE', 'RDGE'],
 'RDGS': ['RDGS', 'RIDGES'],
 'RDS': ['ROADS', 'RDS'],
 'RIV': ['RIV', 'RVR', 'RIVER', 'RIVR'],
 'RNCH': ['RANCHES', 'RANCH', 'RNCH', 'RNCHS'],
 'ROW': ['ROW'],
 'RPD': ['RAPID', 'RPD'],
 'RPDS': ['RPDS', 'RAPIDS'],
 'RST': ['RST', 'REST'],
 'RTE': ['ROUTE'],
 'RUE': ['RUE'],
 'RUN': ['RUN'],
 'SHL': ['SHL', 'SHOAL'],
 'SHLS': ['SHLS', 'SHOALS'],
 'SHR': ['SHOAR', 'SHORE', 'SHR'],
 'SHRS': ['SHORES', 'SHOARS', 'SHRS'],
 'SKWY': ['SKYWAY'],
 'SMT': ['SMT', 'SUMMIT', 'SUMITT', 'SUMIT'],
 'SPG': ['SPRING', 'SPNG', 'SPRNG', 'SPG'],
 'SPGS': ['SPRINGS', 'SPGS', 'SPRNGS', 'SPNGS'],
 'SPUR': ['SPUR', 'SPURS'],
 'SQ': ['SQR', 'SQ', 'SQUARE', 'SQU', 'SQRE'],
 'SQS': ['SQRS', 'SQUARES'],
 'ST': ['STRT', 'STREET', 'STR', 'ST'],
 'STA': ['STATN', 'STN', 'STATION', 'STA'],
 'STRA': ['STRAVE',
          'STRAV',
          'STRAVEN',
          'STRAVN',
          'STRVN',
          'STRAVENUE',
          'STRVNUE',
          'STRA'],
 'STRM': ['STREME', 'STRM', 'STREAM'],
 'STS': ['STREETS'],
 'TER': ['TER', 'TERRACE', 'TERR'],
 'TPKE': ['TURNPK', 'TRPK', 'TPK', 'TPKE', 'TURNPIKE', 'TRNPK'],
 'TRAK': ['TRACK', 'TRACKS', 'TRKS', 'TRK', 'TRAK'],
 'TRCE': ['TRCE', 'TRACES', 'TRACE'],
 'TRFY': ['TRFY', 'TRAFFICWAY'],
 'TRL': ['TRLS', 'TRAIL', 'TR', 'TRL', 'TRAILS'],
 'TRWY': ['THROUGHWAY'],
 'TUNL': ['TUNEL', 'TUNNEL', 'TUNLS', 'TUNL', 'TUNNL', 'TUNNELS'],
 'UN': ['UNION', 'UN'],
 'UNS': ['UNIONS'],
 'UPAS': ['UNDERPASS'],
 'VIA': ['VIADUCT', 'VDCT', 'VIA', 'VIADCT'],
 'VIS': ['VSTA', 'VIS', 'VISTA', 'VST', 'VIST'],
 'VL': ['VILLE', 'VL'],
 'VLG': ['VILLAG', 'VILLG', 'VILLIAGE', 'VLG', 'VILL', 'VILLAGE'],
 'VLGS': ['VLGS', 'VILLAGES'],
 'VLY': ['VLY', 'VALLEY', 'VALLY', 'VLLY'],
 'VLYS': ['VALLEYS', 'VLYS'],
 'VW': ['VW', 'VIEW'],
 'VWS': ['VWS', 'VIEWS'],
 'WALK': ['WALKS', 'WALK', 'WK'],
 'WALL': ['WALL'],
 'WAY': ['WY', 'WAY'],
 'WAYS': ['WAYS'],
 'WL': ['WELL'],
 'WLS': ['WLS', 'WELLS'],
 'XING': ['CROSSING', 'XING', 'CRSSNG', 'CRSSING'],
 'XRD': ['CROSSROAD']}
